Bug 595833 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:8f173eb0b044ece1db1f8aaa1ca...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 14:14 EDT by JYundt
Modified: 2011-06-27 12:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.55 KB, text/plain)
2010-05-25 14:14 EDT, JYundt
no flags Details

  None (edit)
Description JYundt 2010-05-25 14:14:09 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 8f173eb0b044ece1db1f8aaa1ca93a066be4439e
kernel: 2.6.33.4-95.fc13.i686
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 JYundt 2010-05-25 14:14:10 EDT
Created attachment 416463 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-27 10:16:30 EDT
#3  <signal handler called>
No symbol table info available.
#4  0x0136e712 in RemoveElementsAt (this=0xaf9a9538, 
    __in_chrg=<value optimized out>) at ../../dist/include/nsTArray.h:664
No locals.
#5  Clear (this=0xaf9a9538, __in_chrg=<value optimized out>)
    at ../../dist/include/nsTArray.h:674
No locals.
#6  nsTArray<nsCSSSelector*>::~nsTArray (this=0xaf9a9538, 
    __in_chrg=<value optimized out>) at ../../dist/include/nsTArray.h:267
No locals.
#7  0x0136b286 in AttributeSelectorClearEntry (table=0xabf7ad08, 
    hdr=0xab13189c) at nsCSSRuleProcessor.cpp:699
        entry = 0xab13189c
#8  0x019e8531 in PL_DHashTableFinish (table=0xabf7ad08) at pldhash.c:399
        entryAddr = 0xab13189c "\260v\232\067\300\020K\264\070\225\232\257"
        entryLimit = 0xab131b00 "\254\020h\263"
        entrySize = <value optimized out>
        entry = 0xab13189c
#9  0x0136e9e4 in RuleCascadeData::~RuleCascadeData (this=0xabf7ac50, 
    __in_chrg=<value optimized out>) at nsCSSRuleProcessor.cpp:730
No locals.
#10 0x0136d6d5 in nsCSSRuleProcessor::ClearRuleCascades (this=0xab0957c0)
    at nsCSSRuleProcessor.cpp:2282
        next = 0x0
        data = 0xabf7ac50
#11 0x0136d74d in nsCSSRuleProcessor::~nsCSSRuleProcessor (this=0xab0957c0, 
    __in_chrg=<value optimized out>) at nsCSSRuleProcessor.cpp:785
No locals.
#12 0x0136d794 in nsCSSRuleProcessor::~nsCSSRuleProcessor (this=0xab0957c0, 
    __in_chrg=<value optimized out>) at nsCSSRuleProcessor.cpp:786
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-27 10:18:46 EDT
REporter, can you list steps to reproduce?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 JYundt 2010-05-27 10:35:25 EDT
Mayhaps. I unfortunately I don't recall what I was doing during the time of the crash.  When I have access to this laptop again I'll go through my firefox history and see what I was doing shortly before the crash.
Comment 5 JYundt 2010-05-28 14:22:29 EDT
Unfortunately I cleared all history/cache/etc from Firefox because I was working on testing this bug: https://bugzilla.redhat.com/show_bug.cgi?id=586194

To the best of my knowledge I was connecting to a web based juniper VPN client.  I'm not sure if https://bugzilla.redhat.com/show_bug.cgi?id=586194 is related to this crash or not.
Comment 6 JYundt 2010-05-28 14:24:12 EDT
I just tried connecting to the juniper web client again, firefox crash and abrt generated:

https://bugzilla.redhat.com/show_bug.cgi?id=575597

-Jacob
Comment 7 JYundt 2010-05-28 14:29:36 EDT
I just tried for a third time:

https://bugzilla.redhat.com/show_bug.cgi?id=588106
Comment 8 Samuel Sieb 2010-06-07 15:51:41 EDT
I get the same thing with seamonkey trying to use a Juniper VPN client.

The first time I try it crashes.  The second time it loads but doesn't work and when I check the log, it's repeatedly getting null pointer exceptions.

This was working with F11.  I just upgraded (re-install) to F13 and now it doesn't work.
Comment 9 Bug Zapper 2011-06-02 09:32:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 12:38:38 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.